/* CSS Document */
/* 店舗タブの基本スタイル */

/*文字サイズ指定*/
.menu-title .menu-ichiran{
	font-size:var(--fs44);
}
.category-header,.menu-category-title .cat-jp{
	font-size:var(--fs40);
}
.menu-title .en,#category-target a,.drink-h4-wrap h4{
	font-size:var(--fs30);
}
.menu-selection p,.menu-category-title .cat-en{
	font-size:var(--fs26);
}
.drink-column ul li span,.drink-name,.drink-ryoukin,.item-name{
	font-size:var(--fs24);
}
.shop-tabs a{
	font-size:var(--fs22);
}
.cat-notice,.item-size,.drink-kome{
	font-size:var(--fs20);
}
/*文字色指定*/
.menu-title .en{
	color:var(--hover-red);
}
.menu-title .menu-ichiran{
	color:var(--black);
}
.item-size,.drink-ryoukin,.item-size{
	color:var(--gray2);
}
.drink-ryoukin,.item-size,.cat-notice,.drink-kome{
  font-family: var(--zen-kaku-gothic-new);
}
/*コンテンツ幅基本指定*/
.menu-selection{
	max-width: var(--max);
	margin: auto;
	width:80%;
}
.menu-selection{
	padding-top:50px;
}
.menu-item-grid{
	padding-top:100px;
	max-width: var(--max);
	margin: auto;
	width:100%;
}

.menu-title{
	display:flex;
	flex-direction: column;
	margin: 0;
}
.menu-title .menu-ichiran{
	line-height: 1.5em;
}
.shop-tabs {
    display: flex;
	justify-content: flex-start;
    flex-wrap: wrap;
    gap: 10px;
    list-style: none;
    padding: 0;
}
.shop-tabs a{
	text-decoration: none;
	color: inherit;
	display: block;
	padding: 0 20px;
	
}

.shop-tabs li {
    border-radius: 50px;
    cursor: pointer;
    font-size: 14px;
    transition: all 0.3s;
}

/* 各店舗の色設定 */
.honten1f-li { border: 2px solid var(--honten-1f-red); color: var(--honten-1f-red); }
.honten1f-li.active { background: var(--honten-1f-red); color: var(--white); }

.honten2f-li { border: 2px solid var(--honten-2f-pink); color: var(--honten-2f-pink); }
.honten2f-li.active { background: var(--honten-2f-pink); color: var(--white); }

.amyu-li { border: 2px solid var(--amyu-green); color: var(--amyu-green); }
.amyu-li.active { background: var(--amyu-green); color: var(--white); }

.mujyakikko-li { border: 2px solid var(--mujyakikko-blue); color: var(--mujyakikko-blue); }
.mujyakikko-li.active { background: var(--mujyakikko-blue); color: var(--white); }

/* カテゴリーグリッド (4×2) */
.category-section{}
.category-section .container{
	position: relative;
	padding: 75px 0;
}

.category-header{
}
.category-section {
    background-color: #f2f2f2;
    margin: 7.5% auto 0;
}

.category-header {
	text-align: center;
	font-weight: bold;
	color: #a43124;
	position: absolute;
	top: 0;
	left: 50%;
	transform: translate(-50%, -50%);
	flex-wrap: nowrap;
	display: flex;
}

.category-grid {
	max-width: var(--max);
	width:80%;
	margin: auto;
    display: grid;
    grid-template-columns: repeat(4, 1fr); /* 4列 */
    gap: 15px;
    /*opacity: 0;
    transition: opacity 0.5s;*/
}

.category-card {
    background: var(--white);
	color:var(--black);
    border: 2px solid var(--black);
    border-radius: 15px;
    padding: 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    text-decoration: none;
    font-weight: bold;
	max-width: 300px;
	height: 150px;
	
}
.category-card img{
	width: 30px;
	height: 30px;
}
/*.category-card::after {
    content: '→';
    background: #333;
    color: #fff;
    border-radius: 50%;
    width: 24px;
    height: 24px;
    display: flex;
    align-items: center;
    justify-content: center;
}*/

.menu-item-grid{
	display: flex;
	flex-wrap: wrap;
	gap: 7.5rem 3.5%;
	justify-content: flex-start;
	
}
.menu-item-card{
	width: 31%;
}
.menu-img-box a,.menu-img-box a img{
	width:100%;
	display:block;
}
.item-name{
	margin-bottom: 0.6em;
    padding-bottom: 0.6em;
    border-bottom: 2px solid #b3b3b3;
}

.item-name a{
	display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
    text-overflow: ellipsis;
    word-break: break-all;
}
.category-content-block{
	border-bottom: 2px solid var(--black);
	max-width: var(--max);
	width: 80%;
	margin: auto;
	padding: 7.5% 0;
}
.category-content-block:last-of-type{
	border-bottom: unset;
}
.shop-card-btn{
	width:100%;
	aspect-ratio:6/1;
	border-radius:50px;
}
.menu-category-title{
	text-align: center;
	/*margin-bottom: 50px;*/
}
.cat-jp,.cat-en{
	margin:0 auto;
}
.cat-en{
	text-transform: uppercase;
	color:var(--gray);
	text-align: center;align-content: 
}
.cat-notice{
	text-align:center;
	margin: 50px auto 0;
}
.drink-column{
	flex: 1;
	width:100%;
	max-width: 50%;
}
.drink-flex-container{
	display: flex;
	flex-wrap: wrap;
	gap: 0;
	justify-content: center;
	align-items: flex-start;
	max-width: var(--max);
	margin: 2rem auto 0;
}
.drink-column:first-of-type{
	border-right: 2px solid var(--koi-gray);
	padding-right: 5%;
	margin-right: -1px;
}
.drink-column:last-of-type{
	padding-left: 5%;
	border-left: 2px solid var(--koi-gray);
	margin-left: -1px;
}
.drink-column ul{
	list-style: none;
	padding: 0;
	margin: 0;
}
.drink-h4-wrap h4{
	margin: 0;
}

.drink-column ul li{
	display: flex;
	justify-content: space-between;
	align-items: baseline;
	padding: 12px 0;
}
.drink-h4-wrap{
	margin-bottom: 25px;
	border-bottom: 2px solid #d3d3d3;
	padding-bottom: 10px;
}
.drink-kome{
	margin:50px auto 0;
}
.drink-ryoukin{text-align:right;}
@media(max-width:1000px){
	.menu-item-grid{
		gap: 5rem 3.5%;
	}
	.category-grid {
		grid-template-columns: repeat(3, 1fr);
	}
	.drink-flex-container {
		display: block;
	}
	.drink-column{
		max-width:100%;
	}
	.drink-column:first-of-type{
		margin-right: 0;
		padding-right: 0;
		border-right: unset;
		padding-bottom: 50px;
		border-bottom: 2px solid var(--koi-gray);
	}
	.drink-column:last-of-type{
		padding-top: 50px;
		border-left: unset;
		margin-left: 0;
		padding-left: 0;
	}
}
/* SPレイアウト（2列に変更） */
@media (max-width: 767px) {
    .category-grid {
        grid-template-columns: repeat(2, 1fr);
    }
	.menu-item-card {
		width: 48%;
	}
	.shop-tabs{
		margin-bottom:100px;
	}
	.shop-tabs li{
		width:100%;
	}
	.shop-tabs a {
		padding: 5px 20px;
		line-height: 1.25em;
		text-align: center;
	}
	.category-content-block ,.menu-item-grid,.drink-flex-container,.drink-kome{
		width: 90%;
	}
	.category-content-block{
		padding:10% 0;
	}
	.category-content-block:last-of-type{
		padding-bottom: 20%;
	}
	.cat-notice {
		text-align: left;
		margin: 25px auto 0;
		width: 90%;
	}
	.menu-item-grid {
		padding-top: 50px;
		gap:50px 3.5%;
	}
}

@media(max-width:600px){
	.shop-card-btn {
		aspect-ratio: 5 / 1;
	}
}
@media(max-width:450px){
	.shop-card-btn {
		aspect-ratio: 4 / 1;
	}
}


.menu-item-card{
	padding-bottom: 4rem;
	position:relative;
}
.menu-info .shop-card-btn{
	position:absolute;
	bottom: 0;
}
.item-size{line-height:1.6;}
@media(max-width:1100px){
	.menu-item-card{
		padding-bottom: 3rem;
	}
}
@media(max-width:900px){
	.menu-item-card{
		padding-bottom: 2.5rem;
	}
}
@media(max-width:767px){
	.item-name ,.item-size{
		 line-height: 1.5; 
	}
}@media(max-width:450px){
	.item-name ,.item-size{
		 line-height: 1.3; 
	}
}@media(max-width:400px){
	.menu-item-card{
		padding-bottom: 2rem;
	}
}